Module ij
Package ij.plugin

# Class ControlPanel

java.lang.Object
ij.plugin.ControlPanel

All Implemented Interfaces:
  `PlugIn`

public class ControlPanel extends Object implements PlugIn
ControlPanel. This plugin displays a panel with ImageJ commands in a hierarchical tree structure.

Author:
  Cezar M. Tigaret invalid input: '<'c.tigaret@ucl.ac.uk>

## Constructor Summary

Constructors
Constructor
Description
`ControlPanel()`

## Method Summary

Modifier and Type
Method
Description
`DefaultMutableTreeNode`
`getRoot()`
`void`
`run(String arg)`
Creates a panel with the hierarchical tree structure of ImageJ's commands.
`int[]`
`s2ints(String s)`
Breaks the specified string into an array of ints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ControlPanel

public ControlPanel()

## Method Details

### run

public void run(String arg)
Creates a panel with the hierarchical tree structure of ImageJ's commands.

Specified by:
  `run` in interface `PlugIn`

### getRoot

public DefaultMutableTreeNode getRoot()

### s2ints

public int[] s2ints(String s)
Breaks the specified string into an array of ints. Returns null if there is an error.